cURL
curl -X GET "https://api.fitsociety.io/public/v1/finance/single-sessions/{productId}" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/finance/single-sessions/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/finance/single-sessions/{productId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"product": {
"productId": "<string>",
"productType": "<string>",
"name": "<string>",
"description": "<string>",
"price": 123,
"currency": "<string>",
"vatPercentage": 123,
"visibility": "<string>",
"isArchived": true,
"storeType": "<string>",
"trial": true,
"period": "<string>",
"credits": 123,
"creditCalendar": "<string>",
"creditValidity": {
"value": 123,
"unit": "<string>"
},
"contractPeriod": {
"value": 123,
"unit": "<string>"
},
"autoRenew": true,
"cancellationNoticePeriod": "<string>",
"assignCredits": true,
"allowNegativeCredits": true,
"maxNegativeCredits": 123,
"creditPools": [
{
"key": "<string>",
"name": "<string>",
"credits": 123,
"scheduleInterval": 123,
"scheduleUnit": "<string>",
"mode": "<string>"
}
],
"daysUsable": 123,
"validityAfterPurchase": {
"value": 123,
"unit": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"links": {
"totalLinkedClients": 123,
"activeLinkedClients": 123
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Product catalog
Get single sessions
Requires finance_products:read. Use includeArchived=true to read an archived product.
GET
/
public
/
v1
/
finance
/
single-sessions
/
{productId}
cURL
curl -X GET "https://api.fitsociety.io/public/v1/finance/single-sessions/{productId}" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/finance/single-sessions/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/finance/single-sessions/{productId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"product": {
"productId": "<string>",
"productType": "<string>",
"name": "<string>",
"description": "<string>",
"price": 123,
"currency": "<string>",
"vatPercentage": 123,
"visibility": "<string>",
"isArchived": true,
"storeType": "<string>",
"trial": true,
"period": "<string>",
"credits": 123,
"creditCalendar": "<string>",
"creditValidity": {
"value": 123,
"unit": "<string>"
},
"contractPeriod": {
"value": 123,
"unit": "<string>"
},
"autoRenew": true,
"cancellationNoticePeriod": "<string>",
"assignCredits": true,
"allowNegativeCredits": true,
"maxNegativeCredits": 123,
"creditPools": [
{
"key": "<string>",
"name": "<string>",
"credits": 123,
"scheduleInterval": 123,
"scheduleUnit": "<string>",
"mode": "<string>"
}
],
"daysUsable": 123,
"validityAfterPurchase": {
"value": 123,
"unit": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"links": {
"totalLinkedClients": 123,
"activeLinkedClients": 123
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_....
Path Parameters
Example:
"66f7b8b1e13c8d25f4d3d90a"
Query Parameters
⌘I